# List custom components

Custom components can be retrieved as rendered HTML. This endpoint is intended to be consumed by callers processing the output of an SDK TRANSFORMATION rule, where internalTemplateUsageId will identify a particular instance of a custom component being used in an outcome with variables specified. The variables used by the custom component can be passed in as query parameters with the request which will override the values provided in the rule.

Endpoint: GET /zephr/public/internal-templates/v1/internal-templates/{internalTemplateUsageId}
Version: 2026-10-01
Security: CookieBlaizeSession, JwtQuery, JwtHeaderXBlaizeJwt, JwtHeaderXZephrJwt, JwtBearer, JwtCookie

## Security:

  - `CookieBlaizeSession` (unknown)
    apiKey in cookie blaize_session

  - `JwtQuery` (unknown)
    apiKey in query jwt

  - `JwtHeaderXBlaizeJwt` (unknown)
    apiKey in header x-blaize-jwt

  - `JwtHeaderXZephrJwt` (unknown)
    apiKey in header x-zephr-jwt

  - `JwtBearer` (unknown)
    http bearer JWT

  - `JwtCookie` (unknown)
    apiKey in cookie blaize_jwt

## Path parameters:

  - `internalTemplateUsageId` (string, required)
    The internal template usage ID.

## Response 200:

  - `200` (unknown)
    OK

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 404:

  - `404` (unknown)
    Form not found

## Response 200 examples:

  - `response` (unknown)

